Skip to main content
POST
/
v1
/
webhooks
Create a webhook
curl --request POST \
  --url https://api.waycore.com/v1/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [
    "connection.status_changed"
  ],
  "metadata": {}
}
'
{
  "webhook": {
    "id": "<string>",
    "url": "<string>",
    "events": [
      "connection.status_changed"
    ],
    "secret": "<string>",
    "active": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "metadata": {}
  },
  "meta": {
    "requestId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Client Credentials issuing JWT Bearer access tokens.

Body

application/json
url
string
required

HTTPS URL where events will be delivered via POST.

events
enum<string>[]
required

Event types to subscribe to.

Minimum array length: 1
Available options:
connection.status_changed,
account.created,
account.updated,
transactions.sync_available,
transfer.status_changed,
test
metadata
Metadata · object

Opaque client-defined metadata.

Response

Successful Response

webhook
Webhook · object
required

The created webhook registration. The secret is shown in full only in this response.

meta
Meta · object
required